Payality is fully disabling TLS 1.0 on March 1, 2017

As part of Payality’s on-going efforts to ensure our systems as secure as possible, Payality will be disabling the use of Transport Layer Security Version 1.0. TLS1.0 is used by older, unsupported and ¬†XP based versions of Web Browsers. Both TSL1.0 and these older browsers have security flaws necessitating discontinuation of their use. This change will be made on Wednesday, March 1,2017,

To prevent any impact to your staff or clients, please insure they are using the recent versions of Windows Edge, Windows Explorer, Google Chrome, or Firefox prior to March 1, 2017. On that date, use of an older unsupported browser will result in inability to access ANY of Payality’s systems.

Please contact your payroll specialist if you have any questions.